#### Previous topic

scipy.special.sph_harm

#### Next topic

scipy.special.lpn

# scipy.special.clpmn

`scipy.special.``clpmn`(m, n, z, type=3)

  Associated Legendre function of the first kind, Pmn(z).

  Computes the associated Legendre function of the first kind of order m and degree n, `Pmn(z)` = \(P_n^m(z)\), and its derivative, `Pmn'(z)`. Returns two arrays of size `(m+1, n+1)` containing `Pmn(z)` and `Pmn'(z)` for all orders from `0..m` and degrees from `0..n`.

  Parameters:

  m : int

  > `|m| <= n`; the order of the Legendre function.

  n : int

  > where `n >= 0`; the degree of the Legendre function. Often called `l` (lower case L) in descriptions of the associated Legendre function

  z : float or complex

  > Input value.

  type : int, optional

  > takes values 2 or 3 2: cut on the real axis `|x| > 1` 3: cut on the real axis `-1 < x < 1` (default)

  Returns:

  Pmn_z : (m+1, n+1) array

  > Values for all orders `0..m` and degrees `0..n`

  Pmn_d_z : (m+1, n+1) array

  > Derivatives for all orders `0..m` and degrees `0..n`

  See also

  `lpmn`
    associated Legendre functions of the first kind for real z

  Notes

  By default, i.e. for `type=3`, phase conventions are chosen according to [R299] such that the function is analytic. The cut lies on the interval (-1, 1). Approaching the cut from above or below in general yields a phase factor with respect to Ferrer’s function of the first kind (cf. `lpmn`).

  For `type=2` a cut at `|x| > 1` is chosen. Approaching the real values on the interval (-1, 1) in the complex plane yields Ferrer’s function of the first kind.

  References

  [R299] | (1, 2) Zhang, Shanjie and Jin, Jianming. “Computation of Special Functions”, John Wiley and Sons, 1996. http://jin.ece.illinois.edu/specfunc.html

  [R300] | NIST Digital Library of Mathematical Functions http://dlmf.nist.gov/14.21